﻿using System;

namespace TestProject
{
    /// <summary>
    /// 아이콘 정보
    /// </summary>
    public class IconInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name { get; set; }

        #endregion
        #region 코드 - Code

        /// <summary>
        /// 코드
        /// </summary>
        public string Code { get; set; }

        #endregion
        #region 문자 - Character

        /// <summary>
        /// 문자
        /// </summary>
        public string Character => char.ConvertFromUtf32(Convert.ToInt32(Code, 16));

        #endregion
        #region 코드 글리프 - CodeGlyph

        /// <summary>
        /// 코드 글리프
        /// </summary>
        public string CodeGlyph => "\\u" + Code;

        #endregion
        #region 텍스트 글리프 - TextGlyph

        /// <summary>
        /// 텍스트 글리프
        /// </summary>
        public string TextGlyph => "&#x" + Code + ";";

        #endregion
    }
}